Subject: Gotcha Using PROCOMM+ and Pine

From: "Paul O. Bartlett" <[email-masked]>
Date: Sun, 21 May 1995 20:22:16 -0400

This evening I discovered a gotcha with my communications software 
and Pine on a dialup Unix.  I'll describe it, and anybody interested may 
email me for the fix, as it will apply only to a minority of readers.

    When composing/replying/forwarding in Pine, one may invoke an 
alternate editor (Alt Edit) with the keystroke ^_ (control-underscore).  
J. Kelly Cunningham's useful (thank you) tip of earlier today to replace 
the message-quoting characters makes use of this.

    I simply had had no reason to use this function before, so when I 
tried it, blooey!  Fortunately, the fix is simple.  I am using PROCOMM 
Plus Version 2 on an MS-DOS PC, Version 5.  PROCOMM Plus dials me into my 
Internet service provider, a BSD Unix system which has Pine 3.91 
installed.  When I press the ^_ key combination, I do not get whatever I 
specified for an alternate editor for Pine.  Instead, the screen flashes 
clear and shifts into 43-line mode!!!  It takes a bit of coaxing and 
coercing on the keyboard to get my Unix-and-Pine session back.

    Obviously, what you see ain't what you get.  Although I have not 
found it yet in the PROCOMM documentation, ^_ obviously does not send the 
desired value (hex 1F, I think) back to the host.  Instead, PROCOMM Plus 
intercepts it and does weird things.  Fortunately there is a simple 
solution involving PROCOMM Plus's keyboard remapping program.  If my 
scenario fits your situation, email me and I'll send instructions on how 
to do it, rather than take up space here for those not affectd.

Paul
--------------------------------------------------
Paul O. Bartlett         <[email-masked]>
P. O. Box 857     Vienna, VA 22183-0857     U.S.A.
Finger, keyserver, or email for PGP 2.6 public key
--------------------------------------------------